For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send PrivateTransaction

Introduction to Send PrivateTransaction of BlockRazor Block Builder and integration methods

Introduction

This API is used to receive private transactions submitted by users, with the method name eth_sendPrivateTransaction

Request Parameters

Parameters
Mandatory
Format
Example
Description

transaction

Mandatory

String

"0x…4b"

signed raw transaction

Request Example

curl https://virginia.builder.blockrazor.io \
  -H 'content-type: application/json' \
  -H 'Authorization: <auth-token>' \
  --data '{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "eth_sendPrivateTransaction",
  "params": ["0x…9c"]
}'

Proto

syntax = "proto3";

package sendbundle;

option go_package = "internal/ethapi/sendbundle;sendbundle";

service BundleService {
  rpc SendBundle (SendBundleArgs) returns (SendBundleResponse);
  rpc SendTransaction (SendTransactionArgs) returns (SendTransactionResponse);
}

message SendBundleArgs {
  repeated bytes txs = 1;
  uint64 maxBlockNumber = 2;
  uint64 minTimestamp = 3;
  uint64 maxTimestamp = 4;
  repeated string revertingTxHashes = 5;
}

message SendTransactionArgs {
  bytes tx = 1;
}

message SendBundleResponse {
    string result = 1;
}

message SendTransactionResponse {
    string result = 1;
}

Reponse Example

Last updated

Was this helpful?